Bug 232278 - wrong plugins location
Summary: wrong plugins location
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lat (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 17:41 UTC by Fabrice Bellet
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.2.2-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-19 15:35:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fabrice Bellet 2007-03-14 17:41:42 UTC
Hi,

lat-1.2.2-1.fc6 expects to find its plugins viewers in /usr/lib/lat/plugins or
in ~/.lat/plugins, but does not look in /usr/lib/lat. The consequence is that
the "Views" window doesn't show the Computers/Contacts/Groups/Users views.

As a workaround, symlinking *View*.dll from /usr/lib/lat to ~/.lat/plugins works
for me. But the proper fix is certainly to move them in /usr/lib/lat/plugins.

Comment 1 Paul Howarth 2007-03-17 13:29:53 UTC
Thanks for the report; the problem was due to our package overriding the install
directory for the main lat binary to put it in /usr/lib64/lat on x86_64 systems,
as upstream was putting it in /usr/lib/lat in older versions of lat. This had
the unfortunate side-effect of putting the plugins in the wrong place.

Happily, the upstream Makefile now installs the main lat binary in the right
place itself, so there's no need for the override, and the plugins now go to the
right place.

This should be fixed in lat-1.2.2-2.fc6

Comment 2 Fabrice Bellet 2007-03-19 15:35:43 UTC
it works for me. thanks!


Note You need to log in before you can comment on or make changes to this bug.